################
# Grafana test #
########################################################################################################################
version: '2'

############
# Services #
########################################################################################################################
services:

  ############
  # InfluxDB #
  ######################################################################################################################
  influxdb:
    build: ./influxdb
    restart: always

    environment:
      - PRE_CREATE_DB=telegraf
      - ADMIN_USER=telegraf
      - INFLUXDB_INIT_PWD=telegraf
      - INFLUXDB_HTTP_ENABLED=true
      - INFLUXDB_HTTP_AUTH_ENABLED=true

    volumes:
      - influxdb-data:/var/lib/influxdb

    ports:
      - 127.0.0.1:8086:8086

  ###########
  # Grafana #
  ######################################################################################################################
  grafana:
    image: grafana/grafana
    restart: always

    links:
      - influxdb
#      - es

    volumes:
      - grafana-data:/var/lib/grafana

  ############
  # Telegraf #
  ######################################################################################################################
  telegraf1:
    build: ./telegraf
    restart: always

    volumes:
      - /var/run/docker.sock:/var/run/docker.sock

    links:
      - influxdb
      - nginx1

  #########
  # Nginx #
  ######################################################################################################################
  nginx1:
    build: ./nginx
    restart: always

    ports:
      - 80:80
      - 3000:3000

    links:
      - influxdb
      - grafana

  #################
  # Elasticsearch #
  ######################################################################################################################
#  es:
#    image: elasticsearch
#    restart: always
#
#    ports:
#      - 127.0.0.1:9200:9200
#
#    volumes:
#      - es-data:/usr/share/elasticsearch/data
#
#    environment:
#      - ES_JAVA_OPTS=-Xms512m -Xmx512m

  ##########
  # Kibana #
  ######################################################################################################################
#  kibana:
#    image: kibana
#    restart: always
#
#    environment:
#      - ELASTICSEARCH_URL=http://es:9200
#
#    ports:
#      - 5601:5601
#
#    links:
#      - es

###########
# Volumes #
########################################################################################################################
volumes:

  #################
  # InfluxDB data #
  ######################################################################################################################
  influxdb-data:
    driver: local

  ################
  # Grafana data #
  ######################################################################################################################
  grafana-data:
    driver: local

  ######################
  # Elasticsearch data #
  ######################################################################################################################
#  es-data:
#    driver: local
